Packages - Bug #3443

Freedom Issue # 1035 (in progress): [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM)
[python-setuptools]: build depends on blacklisted 'python-pip’' - multiple dependents transitively
2023-02-06 01:00 AM - bill-auger

Status: confirmed % Done: 66%
Priority: bug

Assignee:

Category:

Description

the blacklisted 'python-pip' still has multiple direct dependents, including 'python-setuptools', which has multiple dependents
transitively

'python-setuptools' needs to be de-pipped somehow for the sake of it's dependents - i ran into two packages already, which are
blocked because of this

Subtasks:
Bug # 3338: [freecad]: depends on blacklisted 'qt5-webengine' and blacklisted 'python-pip’ fixed
Bug # 3432: cpupower: symbol lookup error: cpupower: undefined symbol: pci_filter_match... confirmed

Bug # 3442: gajim-plugin-omemo: broken on update fixed

History

#1 - 2023-02-06 01:02 AM - bill-auger
- Parent task set to #1035

#2 - 2023-02-06 07:52 PM - bill-auger
- Description updated

- Subject changed from [python-setuptools]: has multiple dependents but depends on the blacklisted 'pip’ to [python-pip][python-setuptools]: multiple
dependents of the blacklisted 'python-pip’

#3 - 2023-02-21 11:14 AM - bill-auger

- Subject changed from [python-pip][python-setuptools]: multiple dependents of the blacklisted python-pip' to [python-setuptools]: build depends on
blacklisted python-pip' - multiple dependents transitively

#4 - 2023-07-13 08:17 AM - bill-auger

this is the complete list as of today

$ sudo parabola-dependents -v python-pip

updating database ....

package: 'python-pip' not found - creating dummy package
dummy package 'python-pip' created

querying database ....

compiling results for (9) dependents ....

searching abslibre ....

direct and transitive arch dependents:
[python-pip] <- extra/espup
[python-pip] <- extra/httpie
[python-pip] <- extra/pypiserver
[python-pip] <- extra/python-hatch
[python-pip] <- extra/python-pip-run
[python-pip] <- extra/python-pipenv
[python-pip] <- python-pipenv <- extra/python-pipenv-to-requirements
[python-pip] <- extra/python-pwntools
[python-pip] <- python-pwntools <- extra/pwndbg

parabola build dependents:
libre/parabolaweb-utils

#5 - 2023-07-23 11:03 PM - DragOnFly
Also affects packages in aur which might not be easily identifiable. | noticed the abscence of python-pip when doing a makepkg for sacad-

https://github.com/desbma/sacad/

Where the package section is a simple pip install call:

package() {

cd "${pkgname}-${pkgver}"

PIP_CONFIG_FILE=/dev/null pip install --isolated --root="${pkgdir}" --ignore-installed --no-deps web_cache
python setup.py install --root="${pkgdir}"

}

#6 - 2023-07-24 11:19 PM - bill-auger

not interested in AUR packages though, only packages that can be fixed in parabola - that is to make them build without pip
